<?php

/**
 * Dashboard facing class
 *
 * @author Luciana Bruscino
 * @license GPL
 */

class DashboardFacing
{

	/**
	 * dashboard_widget_output
	 *
	 * This function creates the dashboard widget output
	 *
	 * return null
	 */
	function dashboard_widget_output() {
		global $wpdb;
		$my_domain_list_table_name = $wpdb->prefix . "mydomainlist_offer";
		$makeOfferArray =  $wpdb->get_results("SELECT name, count(id) AS 'count' FROM " .$my_domain_list_table_name." GROUP BY name",ARRAY_A);
		$nounceDismiss = wp_create_nonce( 'my_domain_list_dismiss_offer' );
		?>
<script language="javascript">
		function my_domain_list_process_offer_dismiss(id){				
			jQuery.post(ajaxurl, 
				{action:"my-domain-list-dismiss-offer",id: id, _ajax_nonce: "<?php echo $nounceDismiss ?>"}, 				function(data)	{
					alert(data);
				});
			}
		</script>
<table class="widefat fixed" cellpadding="0" cellspacing="0">
	<thead>
		<tr>
			<th>Domain Name</th>
			<th>Offer Count</th>
		</tr>
	</thead>
	<tbody>
		<td colspan="2"><?php
		foreach($makeOfferArray as &$value){
			$myDomainListOfferDomainName = $value['name'];
			?>

			<table class="myDomainListOfferDetails" cellpadding="0"
				cellspacing="0">
				<thead>
					<tr>
						<td colspan="2"><?php echo $myDomainListOfferDomainName ?></td>
						<td colspan="3"><?php echo $value['count'] ?></td>

					</tr>
				</thead>
				<tbody>
				<?php
				$makeOfferDetailArray =  $wpdb->get_results("SELECT id, email, price, comments, currency, updated_at FROM " .$my_domain_list_table_name." WHERE name = '$myDomainListOfferDomainName' ORDER BY name, updated_at" ,ARRAY_A);
				foreach($makeOfferDetailArray as &$detailValue){
					$updatedDate = strtotime($detailValue['updated_at']);

					?>
					<tr>
						<td><span><?php echo date("m.d.y", $updatedDate) ?> </span></td>
						<td><span>$<?php echo $detailValue['price'] . ' ' . $detailValue['currency'] ?>
						</span></td>
						<td class="myDomainListOfferEmailButton"><a
							href="mailto:<?php echo $detailValue['email'] ?>">Reply</a></td>
						<td class="myDomainListOfferCommentsButton"><span>Comment</span></td>
						<td class="myDomainListOfferDismissButton"
							id="<?php echo $detailValue['id'] ?>"><span>Delete</span>
						</td>
					</tr>
					<tr class="myDomainListOfferComments">
						<td colspan="5"><?php echo $detailValue['comments'] ?>
						</td>
					</tr>
					<?php } ?>
				</tbody>
			</table> <?php
		}//end loop
		?>
		</td>
		</tr>
	</tbody>
</table>
		<?php
	}

	/**
	 * This function displays domain list table with admin options
	 *
	 * @return null
	 */
	public function dismissOffer() {
		//Verifies the AJAX request to prevent processing requests external of the blog.
		check_ajax_referer( 'my_domain_list_dismiss_offer' );
		global $wpdb;
		$my_domain_list_table_name = $wpdb->prefix . "mydomainlist_offer";
		$offerId = (int)$_REQUEST[ 'id' ];
		$query = $wpdb->prepare('DELETE FROM '. $my_domain_list_table_name.' WHERE id='.$offerId);
		if ($wpdb->query($query) === FALSE) {
			$return =  new WP_Error('offer_delete_error', __('There has been a problem, the offer (' .$offerId.') was not deleted.'));
		}
		if ( is_wp_error($return) ) {
			$processResult = $return->get_error_message();
		}else {
			$processResult = __('Offer was deleted.');
		}
		echo $processResult;
		die();
	}



}